Rerun Scenario
POST
/api/v1/replay/scenarios/{scenario_id}/rerun
const url = 'https://api.ultimateteam.ai/api/v1/replay/scenarios/example/rerun';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"horizon_months":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/replay/scenarios/example/rerun \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "horizon_months": 1 }'Re-run an existing scenario with a different horizon.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”scenario_id
required
Scenario Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
RerunRequest
object
horizon_months
required
Horizon Months
integer
Examplegenerated
{ "horizon_months": 1}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Rerun Scenario Api V1 Replay Scenarios Scenario Id Rerun Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}